-- File system explorer
-- https://github.com/nvim-neo-tree/neo-tree.nvim
return {
    "nvim-neo-tree/neo-tree.nvim",
    branch = "v3.x",
    dependencies = {
        "nvim-lua/plenary.nvim",        -- Lua helper
        "nvim-tree/nvim-web-devicons",
        "MunifTanjim/nui.nvim"
    },
    config = function()
        vim.keymap.set('n', "<C-n>", ":Neotree filesystem toggle left<CR>")
        require("neo-tree").setup({
            window = {
                mappings = {
                    ["<C-t>"] = "open_tabnew",
                    ["<C-b>"] = "open_split",
                    ["<C-v>"] = "open_vsplit",
                }
            }
        })
    end
}
