-- Color theme
-- https://github.com/Shatur/neovim-ayu
return {
    "Shatur/neovim-ayu",
    lazy = false,
    enabled = true,
    priority = 10000,
    config = function()
        require('ayu').setup({
            mirage = true,
            overrides = function()
                if vim.o.background == "dark" then
                    return {
                        Normal = {
                            bg = '#0f1419',
                            fg = '#cbccc6'
                        },
                        Comment = { fg = "#5c6773" }
                    }
                end
            end
        })

        require('ayu').colorscheme()
    end
}
